### Constructor

# Vips Image new_matrix_from_array

#### Declaration [src]

    VipsImage*
    vips_image_new_matrix_from_array (
      int width,
      int height,
      const double* array,
      int size
    )

#### Description [src]

A binding-friendly version of `vips_image_new_matrixv()`.

#### Parameters

`width`

  Type: `int`

  Image width.

`height`

  Type: `int`

  Image height.

`array`

  Type: An array of `double`

  Array of elements.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the function.

`size`

  Type: `int`

  Number of elements.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.